---
apiVersion: vinyl.solidite.fr/v1beta1
kind: Component
category: virt
metadata:
  name: kubevirt
  description: null
options:
  duration:
    default: 87660h
    examples:
    - 87660h
    type: string
  images:
    default:
      api:
        registry: quay.io
        repository: kubevirt/virt-api
        tag: v1.2.0
      controller:
        pull_policy: IfNotPresent
        registry: quay.io
        repository: kubevirt/virt-controller
        tag: v1.2.0
      exportserver:
        registry: quay.io
        repository: kubevirt/virt-exportserver
        tag: v1.2.0
      handler:
        registry: quay.io
        repository: kubevirt/virt-handler
        tag: v1.2.0
      launcher:
        registry: quay.io
        repository: kubevirt/virt-launcher
        tag: v1.2.0
    examples:
    - api:
        registry: quay.io
        repository: kubevirt/virt-api
        tag: v1.2.0
      controller:
        pull_policy: IfNotPresent
        registry: quay.io
        repository: kubevirt/virt-controller
        tag: v1.2.0
      exportserver:
        registry: quay.io
        repository: kubevirt/virt-exportserver
        tag: v1.2.0
      handler:
        registry: quay.io
        repository: kubevirt/virt-handler
        tag: v1.2.0
      launcher:
        registry: quay.io
        repository: kubevirt/virt-launcher
        tag: v1.2.0
    properties:
      api:
        default:
          registry: quay.io
          repository: kubevirt/virt-api
          tag: v1.2.0
        properties:
          registry:
            default: quay.io
            type: string
          repository:
            default: kubevirt/virt-api
            type: string
          tag:
            default: v1.2.0
            type: string
        type: object
      controller:
        default:
          pull_policy: IfNotPresent
          registry: quay.io
          repository: kubevirt/virt-controller
          tag: v1.2.0
        properties:
          pull_policy:
            default: IfNotPresent
            enum:
            - Always
            - Never
            - IfNotPresent
            type: string
          registry:
            default: quay.io
            type: string
          repository:
            default: kubevirt/virt-controller
            type: string
          tag:
            default: v1.2.0
            type: string
        type: object
      exportserver:
        default:
          registry: quay.io
          repository: kubevirt/virt-exportserver
          tag: v1.2.0
        properties:
          registry:
            default: quay.io
            type: string
          repository:
            default: kubevirt/virt-exportserver
            type: string
          tag:
            default: v1.2.0
            type: string
        type: object
      handler:
        default:
          registry: quay.io
          repository: kubevirt/virt-handler
          tag: v1.2.0
        properties:
          registry:
            default: quay.io
            type: string
          repository:
            default: kubevirt/virt-handler
            type: string
          tag:
            default: v1.2.0
            type: string
        type: object
      launcher:
        default:
          registry: quay.io
          repository: kubevirt/virt-launcher
          tag: v1.2.0
        properties:
          registry:
            default: quay.io
            type: string
          repository:
            default: kubevirt/virt-launcher
            type: string
          tag:
            default: v1.2.0
            type: string
        type: object
    type: object
dependencies:
- dist: null
  category: core
  component: cert-manager
- dist: null
  category: crd
  component: kubevirt
providers:
  kubernetes: true
  authentik: null
  kubectl: true
  postgresql: null
  mysql: null
  restapi: null
  http: null
  gitea: null
tfaddtype: null
